-- This file makes all materialized views in this subfolder
-- Note that this may take a large amount of time and hard drive space

\echo ''
\echo '==='
\echo 'Beginning to create materialized views for MIMIC database.'
\echo 'Any notices of the form "NOTICE: materialized view "XXXXXX" does not exist" can be ignored.'
\echo 'The scripts drop views before creating them, and these notices indicate nothing existed prior to creating the view.'
\echo '==='
\echo ''




-- Severity of illness scores (requires many views from above)
\echo 'Directory 9 of 9: severityscores'

\i pivot/pivoted-uo.sql
\i pivot/pivoted-vital.sql
\i pivot/pivoted-sofa.sql

\echo 'Directory 9 of 9: severityscores'
\i severityscores/qsofa.sql

\echo 'Finished loading materialized views.'
